<nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item active" aria-current="page">Customers</li>
    </ol>
  </nav>
   
  
  <div class="w-75 mx-auto text-right">
    <a href="/customer-add" class="badge badge-primary">Add a new Customer</a>
  </div>
  
  <div class="w-75 mx-auto">
    <br><br>
    <table class="table table-striped">
      <thead>
        <tr>
          <th scope="col">ID</th>
          <th scope="col">Name</th>
          <th scope="col">E-mail</th>
          <th scope="col">Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let p of customers; let i=index;">
          <th scope="row">{{p.id}}</th>
          <td>{{p.name}}</td>
          <td><span>{{p.email}}</span></td>
          <td class="actions">
              <a class="btn btn-outline-secondary btn-sm" href="/customer-edit/{{p.id}}" role="button">Edit</a>
              &nbsp;
              <button type="button" class="btn btn-outline-danger btn-sm" (click)="delete(p.id)">Remove</button>
              &nbsp;
              <a class="btn btn-info btn-sm" href="/customer-details/{{p.id}}" role="button">Details</a>
          </td>
        </tr> 
      </tbody>
    </table>
  </div>